-- Vinny Loader by David Down
-- coding: utf-8
import "Turbine.Gameplay"

function print(text) Turbine.Shell.WriteLine("<rgb=#00FFFF>VL:</rgb> "..text) end

VL_Opt = Turbine.PluginData.Load(Turbine.DataScope.Server,"VinnyLoader_Opt")
import "Vinny.VinnyLoader.VL_Window"
VL_window = VL_Window()
if VL_Opt then
	if not VL_Opt.auto then
		VL_window:SetVisible( false )
	elseif type(VL_Opt.auto)=="table" then
		local x,y = VL_window:GetPosition()
		if y>VL_Opt.auto.y then
			VL_window:SetPosition(VL_Opt.auto.x,VL_Opt.auto.y)
		end
	end
end
print("Vinny Loader initialized.")

VL_Command = Turbine.ShellCommand()

function VL_Command:Execute( command,args )
    local vis = not VL_window:IsVisible()
	VL_window:SetVisible(vis)
	print("Window "..(vis and "displayed" or "hidden"))
end

function VL_Command:GetHelp()
	return "vl  : Toggles VT window visibility"
end

function VL_Command:GetShortHelp()
	VL_Command:GetHelp()
end

Turbine.Shell.AddCommand( "vl", VL_Command )

-- Options panel
import "Vinny.Common.Options"
if not VL_Opt then VL_Opt = {auto=true} end
OP = Vinny.Common.Options_Init(print,VL_Opt,VL_window,"VinnyLoader_Opt")

local Small = Vinny.Common.Options_Box(OP,30," Use small icons")
if VL_Opt.small then Small:SetChecked(true) end
Small.CheckedChanged = function( sender, args )
	VL_Opt.small = sender:IsChecked()
	print((VL_Opt.small and "En" or "Dis").."abled small icons.")
	Turbine.PluginData.Save(Turbine.DataScope.Server,"VinnyLoader_Opt",VL_Opt)
end
